Subject: Re: [PATCH net-next 01/13] dt-bindings: net: dsa: lantiq_gswip: Add missing phy-mode and fixed-link

From: Rob Herring <[email-masked]>
Date: Mon, 10 Jun 2024 16:05:31 -0600

On Mon, Jun 10, 2024 at 11:07:15AM +0200, Martin Schiller wrote:
> On 2024-06-10 10:55, Krzysztof Kozlowski wrote:
> > On 06/06/2024 10:52, Martin Schiller wrote:
> > > From: Martin Blumenstingl <[email-masked]>
> > > 
> > > The CPU port has to specify a phy-mode and either a phy or a
> > > fixed-link.
> > > Since GSWIP is connected using a SoC internal protocol there's no PHY
> > > involved. Add phy-mode = "internal" and a fixed-link to describe the
> > > communication between the PMAC (Ethernet controller) and GSWIP switch.
> > 
> > You did nothing in the binding to describe them. You only extended
> > example, which does not really matter if there is DTS with it.
> > 
> > Best regards,
> > Krzysztof
> 
> OK, so I'll update subject and commit message to signal that we only
> update the example code.

Either convert it or leave it alone. If you are worried about users' DTs 
being wrong due to copying a bad example, then you should care enough to 
do the conversion. Given the errors we find in examples, it's likely 
not the only problem.

Rob